package textBox;


import java.awt.*;
import java.awt.geom.*;
import java.io.*;


public class SerializableTextBox implements Serializable{
//Container data
    public String shapeId;
// data for TextBox only
    public Rectangle2D textArea=null;
    public SerializableAttributedString attributedString;
    public Insets textBoxInsets=new Insets(0, 0, 0, 0);
    public int textAlign=0;
    public int lineSpace=0;
    
    public SerializableTextBox(){}
   
    public String toString(){
        String str="";
        str+="text box: ShapeContainer="+shapeId;
        if(textArea!=null){
            str+="\n    Text="+attributedString.getString();
        }
        return str;
    }
}
